Bug 1575269 - /etc/apcupsd/powerfail is not erased if apcupsd does not start
Summary: /etc/apcupsd/powerfail is not erased if apcupsd does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: apcupsd
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1575268 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 14:36 UTC by Matan Ziv-Av
Modified: 2018-11-30 22:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:22:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Matan Ziv-Av 2018-05-05 14:36:34 UTC
Description of problem:

If the apcupsd service is started manually, and then power fails, a file 
/etc/apcupsd/powerfail is created. When shutting down the existence of this file causes the system to turn off the UPS. The file is removed only by starting the service, so if the service is not started, the system turns off the UPS at any subsequent shutdown.

Version-Release number of selected component (if applicable):

3.14.14-7

How reproducible:

Always

Steps to Reproduce:
1. Disable auto start of apcupsd service.
2. Start apcupsd manually
3. Cause power fail.
4. Let system shut down according to battery parameters.
5. Resume power.
6. Restart system.
7. shut down system.

Actual results:

System turns off UPS as part of shut down.

Expected results:

System does not turn off UPS as part of shut down.

Additional info:

The easiest solution is probably to delete the file in the script 
/lib/systemd/system-shutdown/apcupsd_shutdown.

Comment 1 Germano Massullo 2018-08-08 10:52:25 UTC
*** Bug 1575268 has been marked as a duplicate of this bug. ***

Comment 2 Ben Cotton 2018-11-27 14:49:50 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 22:22:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.